#import "PPDistributedProtocol.h"

@interface AppDelegate : NSObject <PPDistributedProtocol>
{
  IBOutlet NSWindow *window;
  
  NSPersistentStoreCoordinator *psc;
  NSManagedObjectModel *mom;
  NSManagedObjectContext *managedObjectContext;
  
  NSSocketPort *receiveSocket;
  NSSocketPort *sendSocket;
  
  NSNetService *myService;
  NSConnection *myConnection;
  
  NSTimer *saveTimer;
}

- (NSPersistentStoreCoordinator*)persistentStoreCoordinator;
- (NSManagedObjectModel*)managedObjectModel;
- (NSManagedObjectContext*)managedObjectContext;

- (IBAction)saveAction:sender;

@end
