#import <Cocoa/Cocoa.h>

@interface AppDelegate : NSObject 
{
    IBOutlet NSWindow *window;
    IBOutlet NSImageView *imageView;
    IBOutlet NSArrayController *recipeArrayController;
    
    NSPersistentStoreCoordinator *persistentStoreCoordinator;
    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;
}

- (NSPersistentStoreCoordinator *)persistentStoreCoordinator;
- (NSManagedObjectModel *)managedObjectModel;
- (NSManagedObjectContext *)managedObjectContext;

- (IBAction)saveAction:sender;
- (IBAction)addImage:(id)sender;

@end
