#import <Cocoa/Cocoa.h>

@class AppDelegate;

@interface PPExportOperation : NSOperation 
{
  __weak AppDelegate *appDelegate;
	NSArray *_objectIDs;
	NSString *_saveFilePath;
  NSMutableDictionary* _lookup;
}

@property (retain) NSArray *objectIDs;
@property (retain) NSString *saveFilePath;
@property (retain) NSMutableDictionary *lookup;

- (id)initWithDelegate:(AppDelegate*)delegate 
						 objectIDs:(NSArray*)objectIDs
					saveFilePath:(NSString*)saveFilePath;

@end
