#import "AppDelegate.h"

@interface PPImportOperation : NSOperation 
{
	__weak AppDelegate *appDelegate;
	NSString *_filePath;
  NSMutableDictionary* _lookup;
  NSMutableArray *_refreshIDArray;
  NSManagedObjectContext *_importContext;
  NSManagedObjectContext *_mainContext;
}

@property (retain) NSString *filePath;
@property (retain) NSMutableDictionary *lookup;
@property (retain) NSManagedObjectContext *importContext;
@property (retain) NSManagedObjectContext *mainContext;

- (id)initWithDelegate:(AppDelegate*)delegate
							filePath:(NSString*)filePath;
@end
