@interface AppDelegate : NSObject 
{
  IBOutlet NSWindow *window;
  //START_HIGHLIGHT
  IBOutlet NSArrayController *recipeArrayController;
  //END_HIGHLIGHT
  
  NSPersistentStoreCoordinator *persistentStoreCoordinator;
  NSManagedObjectModel *managedObjectModel;
  NSManagedObjectContext *managedObjectContext;
}

- (NSPersistentStoreCoordinator *)persistentStoreCoordinator;
- (NSManagedObjectModel *)managedObjectModel;
- (NSManagedObjectContext *)managedObjectContext;

- (IBAction)saveAction:(id)sender;
//START_HIGHLIGHT
- (IBAction)addImage:(id)sender;
//END_HIGHLIGHT
@end
