//
//  SyncHelper.h
//  SyncServices
//
//  Created by Marcus S. Zarra on 7/22/08.
//  Copyright 2008 Zarra Studios LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <SyncServices/SyncServices.h>

@class AppDelegate;

@interface SyncHelper : NSObject <NSPersistentStoreCoordinatorSyncing>
{
	AppDelegate *delegate;
}

- (id)initWithDelegate:(id)_delegate error:(NSError**)error;

- (BOOL)performSync:(NSError**)err;

@end
