#import "PPImageView.h"

@implementation PPImageView

@synthesize imagePath;

- (void)dealloc
{
    [imagePath release], imagePath = nil;
	[super dealloc];
}

- (void)concludeDragOperation:(id)sender
{
    [self willChangeValueForKey:@"imagePath"];
	NSPasteboard *pasteboard = [sender draggingPasteboard];
	if ([[pasteboard types] containsObject:NSFilenamesPboardType]) {
		imagePath = [[pasteboard propertyListForType:NSFilenamesPboardType] lastObject];
	}
	[super concludeDragOperation:sender];
    [self didChangeValueForKey:@"imagePath"];
}

@end